> For the complete documentation index, see [llms.txt](https://chaoses-ib.gitbook.io/directory-opus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/image.md).

# Image

The **Image** object represents an image file or icon to be displayed in a [script dialog](/directory-opus/manual/scripting/script_dialogs.md). You can load an image or icon using the [**DOpus**](/directory-opus/manual/reference/scripting_reference/scripting_objects/dopus.md)**.LoadImage** or \*\*[Script](/directory-opus/manual/reference/scripting_reference/scripting_objects/script.md).LoadImage \*\*methods. It can be displayed using a static control, or assigned as the dialog's icon.

| Property Name | Return Type | Description                                                               |
| ------------- | ----------- | ------------------------------------------------------------------------- |
| bitcount      | *int*       | Returns the bit count of the loaded image.                                |
| height        | *int*       | Returns the height of the loaded image.                                   |
| type          | *string*    | Returns the type of file the image was loaded or created from (if known). |
| width         | *int*       | Returns the width of the loaded image.                                    |

| Method Name | **Arguments** | Return Type | Description                                                                         |
| ----------- | ------------- | ----------- | ----------------------------------------------------------------------------------- |
| SetClip     | *none*        | *bool*      | Copies the image's bitmap data into the Windows clipboard. Returns boolean success. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/image.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
